# CopyStormTask

The CopyStormTask table describes each CopyStorm and CopyStorm/Medic task that can be ran against its parent CopyStormJob Salesforce instance. This table also describes the schedule under which each job should be ran by CopyStorm/JobRunner.

CopyStormDirector also defines a view, CopyStormTaskView, which combines information in the CopyStormTask table with the most recently executed task (and its status).

The following table describes each field in the CopyStormTask table:

| Column Name       | Data Type | Required | Description                                                                                                                                |
| ----------------- | --------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| id                | integer   | Yes      | A unique integer id assigned to the task by CopyStorm/Director.                                                                            |
| jobId             | integer   | Yes      | The unique id of the CopyStormJob which owns this task.                                                                                    |
| jobType           | varchar   | Yes      | <p>The kind of task to run. Supported values include:</p><ul><li>CopyStorm</li><li>CopyStormMedic</li></ul>                                |
| family            | varchar   | Yes      | The high-level group name for this task. The default value for this field is “Default”.                                                    |
| configProfile     | varchar   | Yes      | The name of the configuration file used to run this task. It must be a CopyStorm or CopyStorm/Medic configuration file.                    |
| maxRunTimeMinutes | integer   | No       | If specified, this task will be forcibly killed if it runs for longer than this many minutes.                                              |
| scheduledMinute   | varchar   | No       | A list of minutes at which the task should run. There must be a value in this column for a task to be considered by CopyStorm/JobRunner.   |
| scheduledHour     | varchar   | No       | A list of hours at which the task should run. If this value is blank, the task will run every hour.                                        |
| scheduledDay      | varchar   | No       | A list of days when the task should run. If this value is blank, the task will run every day.                                              |
| optionArgs        | varchar   | No       | Indicates which CopyStorm/Medic operation should be performed. This column is ignored for CopyStorm tasks.                                 |
| jvmArgs           | varchar   | No       | Adds Java JVM arguments to the Java instance running the task. The most common use of this parameter is to increase Java’s maximum memory. |
| nextRunTime       | datetime  | No       | Computed by CopyStorm/JobRunner and contains the next time the task is scheduled to run.                                                   |
| createdDate       | datetime  | Yes      | The date on which this task was created.                                                                                                   |
| lastModifiedDate  | datetime  | Yes      | The date on which this task was last modified.                                                                                             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://learn.capstorm.com/copystorm-director/reference/copystorm-director-database/copystormtask.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
